Форум русскоязычного сообщества Ubuntu


Следите за новостями русскоязычного сообщества Ubuntu в Twitter-ленте @ubuntu_ru_loco

Автор Тема: Некорректная установка драйвера видеокарты amd  (Прочитано 2058 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн nekayako

  • Автор темы
  • Новичок
  • *
  • Сообщений: 4
    • Просмотр профиля
Всю установку проводил по инструкции на оф. сайте. По началу установка шла нормально, но возникла ошибка, пытался решить с помощью гугла(чистил пакетный кэш, использовал разные способы удаления). После перезагрузки "чёрный экран". Вроде как загрузился, после танцами с бубном. Вот, что выдаёт терминал при одной из попыток удаления драйвера:
user@user-GA-MA770T-UD3P:~$ amdgpu-pro-uninstall
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Пакет «amdgpu-core» не установлен, поэтому не может быть удалён
Вы можете запустить «apt --fix-broken install» для исправления этих ошибок.
Следующие пакеты имеют неудовлетворённые зависимости:
 amdgpu-dkms : Зависит: amdgpu-core но он не будет установлен
 amdgpu-lib : Зависит: amdgpu-core (= 19.20-812932) но он не будет установлен
 amdgpu-pro-core : Зависит: amdgpu-core но он не будет установлен
 glamor-amdgpu : Зависит: amdgpu-core но он не будет установлен
 gst-omx-amdgpu : Зависит: amdgpu-core но он не будет установлен
 libdrm-amdgpu-common : Зависит: amdgpu-core но он не будет установлен
 libdrm2-amdgpu : Зависит: amdgpu-core но он не будет установлен
 libdrm2-amdgpu:i386 : Зависит: amdgpu-core:i386
 libegl1-amdgpu-mesa : Зависит: amdgpu-core но он не будет установлен
 libegl1-amdgpu-mesa:i386 : Зависит: amdgpu-core:i386
 libgbm1-amdgpu : Зависит: amdgpu-core но он не будет установлен
 libgbm1-amdgpu:i386 : Зависит: amdgpu-core:i386
 libgl1-amdgpu-mesa-dri : Зависит: amdgpu-core но он не будет установлен
                          Рекомендует: libtxc-dxtn-s2tc0 но он не может быть установлен или
                                                  libtxc-dxtn0 но он не может быть установлен
 libgl1-amdgpu-mesa-dri:i386 : Зависит: amdgpu-core:i386
                               Рекомендует: libtxc-dxtn-s2tc0:i386 но он не может быть установлен или
                                                       libtxc-dxtn0:i386 но он не может быть установлен
 libglapi-amdgpu-mesa : Зависит: amdgpu-core но он не будет установлен
 libglapi-amdgpu-mesa:i386 : Зависит: amdgpu-core:i386
 libllvm7.1-amdgpu : Зависит: amdgpu-core но он не будет установлен
 libllvm7.1-amdgpu:i386 : Зависит: amdgpu-core:i386
 libwayland-amdgpu-client0 : Зависит: amdgpu-core но он не будет установлен
 libwayland-amdgpu-client0:i386 : Зависит: amdgpu-core:i386
 libwayland-amdgpu-egl1 : Зависит: amdgpu-core но он не будет установлен
 libwayland-amdgpu-egl1:i386 : Зависит: amdgpu-core:i386
 libwayland-amdgpu-server0 : Зависит: amdgpu-core но он не будет установлен
 libwayland-amdgpu-server0:i386 : Зависит: amdgpu-core:i386
 mesa-amdgpu-va-drivers : Зависит: amdgpu-core но он не будет установлен
 mesa-amdgpu-va-drivers:i386 : Зависит: amdgpu-core:i386
 mesa-amdgpu-vdpau-drivers : Зависит: amdgpu-core но он не будет установлен
 mesa-amdgpu-vdpau-drivers:i386 : Зависит: amdgpu-core:i386
 wsa-amdgpu : Зависит: amdgpu-core но он не будет установлен
 wsa-amdgpu:i386 : Зависит: amdgpu-core:i386
 xserver-xorg-amdgpu-video-amdgpu : Зависит: amdgpu-core но он не будет установлен
E: Неудовлетворённые зависимости. Попытайтесь выполнить «apt --fix-broken install», не указывая имени пакета (или указав решение).
Использовал «apt --fix-broken install», тоже не помогает, выдаёт аналогичную ошибку, имя пакета тоже туда писал.
Я реально без понятия что делать, помогите пожалуйста.
Ubuntu 19.04 

ТС не появлялся на Форуме более трех месяцев по состоянию на 03/05/2020 (последняя явка: 21/08/2019). Модератором раздела принято решение закрыть тему.
--zg_nico
« Последнее редактирование: 03 Май 2020, 05:38:37 от zg_nico »

Оффлайн ALiEN175

  • Модератор форума
  • Старожил
  • *
  • Сообщений: 4711
  • Capture the truth
    • Просмотр профиля
sudo dpkg --configure -aчто говорит?

ASUS P5K-C :: Intel Xeon E5450 :: 8 GB RAM :: Nvidia 8500GT :: XFCE
SAMSUNG N150 :: Intel Atom N450 :: 2 GB RAM :: Intel GMA3150 :: XFCE

Оффлайн andytux

  • Старожил
  • *
  • Сообщений: 4457
    • Просмотр профиля
"Какой черт занес вас на эти галеры."
Цитировать
Ubuntu 19.04
Для этой версии нет драйвера AMD, кроме того что есть в системе.
Цитировать
Я реально без понятия что делать
Реально - переустановить систему. Все остальное... Впрочем, вы уже попробовали и убедились.

Оффлайн nekayako

  • Автор темы
  • Новичок
  • *
  • Сообщений: 4
    • Просмотр профиля
sudo dpkg --configure -aчто говорит?
Умер окончательно, пишу с телефона, press f

Оффлайн AlexBKost

  • Старожил
  • *
  • Сообщений: 3056
  • Kubuntu 12.04, 16.04, 18.04, 20.04, 21.04, 21.10
    • Просмотр профиля
nekayako, а видеокарта хоть какая:
sudo lspci -vnn | grep -i VGA -A 18 ?
Я странен, а не странен кто ж? (С)

Оффлайн nekayako

  • Автор темы
  • Новичок
  • *
  • Сообщений: 4
    • Просмотр профиля
Установил ubuntu 18.04.2. Модель видеокарты и версия ubuntu совместима с драйверами. Установка драйверов прошла без ошибок, но не смотря на это, после монолитного фиолетового экрана, он(экран) вовсе отключается. Загружался через рекавери, удалял драйвера, загружался нормально. Ставил снова, тот же результат.
nekayako, а видеокарта хоть какая:
sudo lspci -vnn | grep -i VGA -A 18 ?
amd radeon hd 7790 2gb
sudo dpkg --configure -aчто говорит?
молчит
P.S. Сейчас с рекавери сижу

Оффлайн AlexBKost

  • Старожил
  • *
  • Сообщений: 3056
  • Kubuntu 12.04, 16.04, 18.04, 20.04, 21.04, 21.10
    • Просмотр профиля
Установил ubuntu 18.04.2. Модель видеокарты и версия ubuntu совместима с драйверами. Установка драйверов прошла без ошибок, но ...
nekayako, покажите ссылку на устанавливаемый драйвер с сайта AMD, плиз.
Я странен, а не странен кто ж? (С)

Оффлайн nekayako

  • Автор темы
  • Новичок
  • *
  • Сообщений: 4
    • Просмотр профиля
Установил ubuntu 18.04.2. Модель видеокарты и версия ubuntu совместима с драйверами. Установка драйверов прошла без ошибок, но ...
nekayako, покажите ссылку на устанавливаемый драйвер с сайта AMD, плиз.
Вот: https://www.amd.com/en/support/kb/release-notes/rn-rad-lin-19-20-unified

Оффлайн AlexBKost

  • Старожил
  • *
  • Сообщений: 3056
  • Kubuntu 12.04, 16.04, 18.04, 20.04, 21.04, 21.10
    • Просмотр профиля
Если этот: https://drivers.amd.com/drivers/linux/amdgpu-pro-19.20-812932-ubuntu-18.04.tar.xz - должен работать. Надеюсь Ubuntu 18.04.2 у вас 64-bit.
Я странен, а не странен кто ж? (С)

Оффлайн я видел линукс

  • Новичок
  • *
  • Сообщений: 3
    • Просмотр профиля
А у меня ati Radeon HD5750(Juniter Pro). Ни сайте https://www.amd.com/ru/support/graphics/amd-radeon-hd/ati-radeon-hd-5000-series/ati-radeon-hd-5750 есть драйвера только для Ubuntu 14.04.
Т.е для kubuntu 18.04.1 lts их нет смысла ставить?

Оффлайн andytux

  • Старожил
  • *
  • Сообщений: 4457
    • Просмотр профиля
Цитировать
их нет смысла ставить?
Значительно короче: "их нет".

 

Страница сгенерирована за 0.173 секунд. Запросов: 25.